Subject: Re: bug#18044: 24.3; `info-display-manual' should use completing input for manual name

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Jul 2014 09:26:00 +0300

> From: Samuel Bronson <[email-masked]>
> Date: Thu, 17 Jul 2014 22:26:46 -0400
> 
> I think it would be possible to extract the necessary machinery from the
> function `Info-read-node-name' and its -1/-2 friends, but I don't grok
> completion well enough to do it myself, and one of the core
> (not-info-specific) completion functions involved isn't even documented.

This function should complete on both manuals already visited in
existing Info buffers, and on manuals installed on the system that are
not yet visited.  The latter part could be slow, so any contributions
should take that into account.